# PSF-LoginServer - master - net.psforever.objects.definition.AvatarDefinition
PSF - LoginServer - master - net.psforever.objects.definition.AvatarDefinition
Keywords: PSF LoginServer master net.psforever.objects.definition.AvatarDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package definition
  Definition Classes
    objects
-  package converter
  Definition Classes
    definition
- AmmoBoxDefinition
- AvatarDefinition
- BaseDeployableDefinition
- BasicDefinition
- CargoDefinition
- ConstructionFireMode
- ConstructionItemDefinition
- DeployAnimation
- DeployableDefinition
- EquipmentDefinition
- ExoSuitDefinition
- ImplantDefinition
- KitDefinition
- ObjectDefinition
- ProjectileDefinition
- SimpleItemDefinition
- SpecialExoSuitDefinition
- ToolDefinition
- VehicleDefinition

c

net.psforever.objects.definition

# AvatarDefinition 

###
Companion object AvatarDefinition

#### class AvatarDefinition extends ObjectDefinition with VitalityDefinition

The definition for game objects that look like players.

Source
  AvatarDefinition.scala

Linear Supertypes
VitalityDefinition, DamageModifiers, ObjectDefinition, BasicDefinition, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AvatarDefinition
2. VitalityDefinition
3. DamageModifiers
4. ObjectDefinition
5. BasicDefinition
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new AvatarDefinition(objectId: Int)

   objectId

     the object type number

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def DamageDestroysAt: Int
   Definition Classes
     VitalityDefinition
5.  def DamageDestroysAt_=(value: Int): Int
   Definition Classes
     VitalityDefinition
6.  def DamageDisablesAt: Int
   Definition Classes
     VitalityDefinition
7.  def DamageDisablesAt_=(value: Option[Int]): Int
   Definition Classes
     VitalityDefinition
8.  def DamageDisablesAt_=(value: Int): Int
   Definition Classes
     VitalityDefinition
9.  def Damageable: Boolean
   Definition Classes
     VitalityDefinition
10.  def DamageableByFriendlyFire: Boolean
    Definition Classes
      VitalityDefinition
11.  def DamageableByFriendlyFire_=(state: Boolean): Boolean
    Definition Classes
      VitalityDefinition
12.  def Damageable_=(state: Boolean): Boolean
    Definition Classes
      VitalityDefinition
13.  def DefaultHealth: Int
    Definition Classes
      VitalityDefinition
14.  def DefaultHealth_=(default: Option[Int]): Int
    Definition Classes
      VitalityDefinition
15.  def DefaultHealth_=(default: Int): Int
    Definition Classes
      VitalityDefinition
16.  def Descriptor: String
    Definition Classes
      BasicDefinition
17.  def Descriptor_=(description: Option[String]): String
    Definition Classes
      BasicDefinition
18.  def Descriptor_=(description: String): String
    Definition Classes
      BasicDefinition
19.  def DisableAtMaxDepth: Boolean
    Definition Classes
      ObjectDefinition
20.  def DisableAtMaxDepth_=(drowns: Boolean): Boolean
    Definition Classes
      ObjectDefinition
21.  def DrownAtMaxDepth: Boolean
    Definition Classes
      ObjectDefinition
22.  def DrownAtMaxDepth_=(drowns: Boolean): Boolean
    Definition Classes
      ObjectDefinition
23.  def Geometry: (Any) => VolumetricGeometry
    Definition Classes
      ObjectDefinition
24.  def Geometry_=(func: (Any) => VolumetricGeometry): (Any) => VolumetricGeometry
    Definition Classes
      ObjectDefinition
25.  def MaxDepth: Float
    Definition Classes
      ObjectDefinition
26.  def MaxDepth_=(height: Float): Float
    Definition Classes
      ObjectDefinition
27.  def MaxHealth: Int
    Definition Classes
      VitalityDefinition
28.  def MaxHealth_=(max: Int): Int
    Definition Classes
      VitalityDefinition
29.  def Modifiers: List[Mod]
    Definition Classes
      DamageModifiers
30.  def Modifiers_=(modifiers: List[Mod]): List[Mod]
    Definition Classes
      DamageModifiers
31.  def Modifiers_=(modifier: Mod): List[Mod]
    Definition Classes
      DamageModifiers
32.  def Name: String
    Definition Classes
      BasicDefinition
33.  def Name_=(name: String): String
    Definition Classes
      BasicDefinition
34.  def ObjectId: Int
    Definition Classes
      ObjectDefinition
35.  final def Packet: ObjectCreateConverter[PlanetSideGameObject]

    Get the conversion object.

    Get the conversion object.

    Definition Classes
      ObjectDefinition
36.  final def Packet_=(pkt: ObjectCreateConverter[_]): PacketConverter

    Assign this definition a conversion object.

    Assign this definition a conversion object.

    pkt

      the new converter

    returns

      the current converter, after assignment

    Definition Classes
      ObjectDefinition
37.  def RepairDistance: Float
    Definition Classes
      VitalityDefinition
38.  def RepairDistance_=(distance: Float): Float
    Definition Classes
      VitalityDefinition
39.  def RepairIfDestroyed: Boolean
    Definition Classes
      VitalityDefinition
40.  def RepairIfDestroyed_=(repair: Boolean): Boolean
    Definition Classes
      VitalityDefinition
41.  def RepairMod: Int
    Definition Classes
      VitalityDefinition
42.  def RepairMod_=(mod: Int): Int
    Definition Classes
      VitalityDefinition
43.  def RepairRestoresAt: Int
    Definition Classes
      VitalityDefinition
44.  def RepairRestoresAt_=(restore: Option[Int]): Int
    Definition Classes
      VitalityDefinition
45.  def RepairRestoresAt_=(restore: Int): Int
    Definition Classes
      VitalityDefinition
46.  def Repairable: Boolean
    Definition Classes
      VitalityDefinition
47.  def Repairable_=(repair: Boolean): Boolean
    Definition Classes
      VitalityDefinition
48.  def ServerSplashTargetsCentroid: Boolean
    Definition Classes
      ObjectDefinition
49.  def ServerSplashTargetsCentroid_=(splash: Boolean): Boolean
    Definition Classes
      ObjectDefinition
50.  def UnderwaterLifespan(suffocation: Long, recovery: Long): Map[OxygenState, Long]
    Definition Classes
      ObjectDefinition
51.  def UnderwaterLifespan(key: OxygenState): Long
    Definition Classes
      ObjectDefinition
52.  def UnderwaterLifespan(): Map[OxygenState, Long]
    Definition Classes
      ObjectDefinition
53.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
54.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
55.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
56.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
57.  val explodes: Boolean

    Characteristics of the objects dealing area of effect damage under guidance of the server motivated by client actions.

    Characteristics of the objects dealing area of effect damage under guidance of the server motivated by client actions. Although "vitality" has nothing to do with explosions directly, exploding objects tend to be entities with `Vitality` (lowest common denominator inheritance).

    Definition Classes
      VitalityDefinition
58.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
59.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
60.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
61.  val innateDamage: Option[DamageWithPosition]

    damage that is inherent to the object, used for explosions and collisions, mainly

    damage that is inherent to the object, used for explosions and collisions, mainly

    Definition Classes
      VitalityDefinition
62.  def innateDamage_=(combustion: DamageWithPosition): Option[DamageWithPosition]
    Definition Classes
      VitalityDefinition
63.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
64.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
65.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
66.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
67.  var packet: PacketConverter

    a data converter for this type of object

    a data converter for this type of object

    Attributes
      protected
    Definition Classes
      ObjectDefinition
68.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
69.  def toString(): String
    Definition Classes
      AnyRef → Any
70.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
71.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
72.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from VitalityDefinition

### Inherited from DamageModifiers

### Inherited from ObjectDefinition

### Inherited from BasicDefinition

### Inherited from AnyRef

### Inherited from Any

### Ungrouped